Description

PostGIS Integer values are read (and converted) in gvSIG as Double ones with length 11 and precision 10.
Example: add the spatial_ref_sys PostGIS table and convert it to DBF: the auth_srid field is converted from integer to double (11,10).
Instead, PostGIS Numeric values seem to be converted as Double with length 18 and precision 1.

For instance, this is how GDAL/OGR converts fields without an explicit width:

* Integer fields without an explicit width are treated as width 11.
* Real (floating point) fields without an explicit width are treated as width 24 with 15 decimal places of precision.
* String fields without an assigned width are treated as 80 characters.

(Source: http://www.gdal.org/drv_shapefile.html)
Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2858: Fields of type Flo... Closed 10/08/2014

Associated revisions
Revision 42041 - 02/24/2015 04:44 PM - José Badía

fixes  #2694, #2858
Numeric types management of PostGIS tables
Fields of type Float have an invalid value in PostGIS layers

History
#1 - 10/08/2014 01:04 PM - Antonio Falciano

Priority: High
Severity: Critical

An example of issue due to the wrong management of PostGIS field types is reported in #2858.

#2 - 10/13/2014 07:10 AM - Álvaro Anguix
- Related to gvSIG bugs #2858: Fields of type Float have an invalid value in PostGIS layers added
#3 - 12/10/2014 11:47 AM - Antonio Falciano

This issue is still present in the RC3.

#4 - 02/20/2015 09:22 AM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to José Badía

#5 - 02/24/2015 04:42 PM - José Badía
- Status changed from New to Fixed

PostGIS Numeric value fixed as Double (with its same characteristics of precision and width).

#6 - 03/02/2015 11:28 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#7 - 04/10/2015 01:38 PM - Álvaro Anguix
- Status changed from Fixed to Closed
